Subject: bug#52051: [core-updates-frozen] cannot login ('org.freedesktop.login1' service times out)

From: Leo Famulari <[email-masked]>
Date: Tue, 21 Dec 2021 13:11:08 -0500

On Tue, Dec 21, 2021 at 05:51:28PM +0000, Maxime Devos wrote:
> I don't think commenting new code is a drastic and extreme action.
> I assume you were referring you were referring to the ‘16.6 hours’?

Right. We don't want to use a timeout of 16.6 hours. From the
perspective of a user, that's not meaningfully longer than, say, 30
minutes. And really, if the system can't bring up the login interface
for a laptop in 5 minutes, it's totally broken.

> If so, just replace ‘16.6 hours’ by ‘one minute’, because it turns
> out that 'auth_timeout' is in milliseconds and not seconds,
> see <https://dbus.freedesktop.org/doc/dbus-daemon.1.html>.

I think I was confused about the units here.